Joomla

Why we’re skipping Joomla 1.5.17

When it comes to Joomla (and other CMS’es); it’s good to update when a new release is available.  99% of the time, problems in prior versions are fixed; often security related. 

Joomla has recently released version 1.5.17, and we’d normally roll it out to our Joomla sites, but not this time.  Word has it, that an auto-disable function for plug-ins can have unexpected results for your sites.  As if Joomla isn’t random enough for us, most of the time…  Fun times!

Since we’re managing 20+ websites, all with their own configurations, you can imagine why it’d be a pain in the ass to test every configuration.  So, I’m going to assume the position of the lazy admin for once, and just sit back.  If I hear that the “site-killing problems” are solved, then I’ll upgrade.  Until that time, I’ll take the risk of not updating. 

On a related note:  Don’t, under any circumstance, update your site to Joomla 1.5.16.  This version has two ‘major security issues’; which were the reason behind a rushed release of 1.5.17.

To sum it up:  updating to Joomla 1.5.17 is dangerous.  Creating a new site with Joomla 1.5.17… not so much.  I mean, if nothing is there, what can be broken?   

Disclaimer:  Of course, as a good admin, I’ll cave in somewhere this week, and start testing Joomla 1.5.17 anyway… but be warned, Joomlers, Joomla 1.5.17 might be out to “kill” your site.  Don’t say I didn’t warn you.

Advertisements

Categories: Joomla

Tagged as: , ,